Skip to content

IAM Users

GET
/users/iam-accounts/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/users/iam-accounts/?apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Successful response with user details and roles. The id field in each item is the active_iam value that should be passed as the active_iam query parameter in other TIR API calls.

Media typeapplication/json
object
code
integer
data
Array<object>
object
id

The active IAM ID. Use this value as the active_iam query parameter in other API calls.

integer
owner
object
id
integer
name
string
email
string
username
string
phone
string
nullable
is_primary_contact
boolean
primary_email
string
currency
string
is_suspended
boolean
role
string
has_ai_labs_access

Whether this IAM account has access to AI Labs.

boolean
has_tir_access

Whether this IAM account has access to TIR.

boolean

Example

{
"code": 200,
"data": [
{
"id": 2421,
"owner": {
"id": 3573,
"name": "Nipun",
"email": "nipun.arora@e2enetworks.com",
"username": "nipun.arora@e2enetworks.com",
"phone": null,
"is_primary_contact": true,
"primary_email": "nipun.arora@e2enetworks.com",
"currency": "INR",
"is_suspended": true
},
"role": "Owner",
"has_ai_labs_access": true,
"has_tir_access": true
}
]
}